# ``twisted`.`protocols`.`ident``

module documentation
(source)

Ident protocol implementation.

Class | `HiddenUser` | The server was able to identify the user of this port, but the information was not returned at the request of the user.
Class | `IdentClient` | No class docstring; 0/1 instance variable, 0/1 class variable, 1/5 method documented
Class | `IdentError` | Can't determine connection owner; reason unknown.
Class | `IdentServer` | No summary
Class | `InvalidPort` | No summary
Class | `NoUser` | The connection specified by the port pair is not currently in use or currently not owned by an identifiable entity.
Class | `ProcServerMixin` | Implements lookup() to grab entries for responses from /proc/net/tcp
Constant | `_MAX_PORT` | Undocumented
Constant | `_MIN_PORT` | Undocumented

_MAX_PORT = (source)

Undocumented

Value

    2**16-1

_MIN_PORT: `int` = (source)

Undocumented

Value

    1